

# Amazon Connect Outbound Campaigns V2
<a name="API_Operations_Amazon_Connect_Outbound_Campaigns_V2"></a>

The following actions are supported by Amazon Connect Outbound Campaigns V2:
+  [CreateCampaign](API_connect-outbound-campaigns-v2_CreateCampaign.md) 
+  [DeleteCampaign](API_connect-outbound-campaigns-v2_DeleteCampaign.md) 
+  [DeleteCampaignChannelSubtypeConfig](API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig.md) 
+  [DeleteCampaignCommunicationLimits](API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits.md) 
+  [DeleteCampaignCommunicationTime](API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime.md) 
+  [DeleteConnectInstanceConfig](API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig.md) 
+  [DeleteConnectInstanceIntegration](API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration.md) 
+  [DeleteInstanceOnboardingJob](API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob.md) 
+  [DescribeCampaign](API_connect-outbound-campaigns-v2_DescribeCampaign.md) 
+  [GetCampaignState](API_connect-outbound-campaigns-v2_GetCampaignState.md) 
+  [GetCampaignStateBatch](API_connect-outbound-campaigns-v2_GetCampaignStateBatch.md) 
+  [GetConnectInstanceConfig](API_connect-outbound-campaigns-v2_GetConnectInstanceConfig.md) 
+  [GetInstanceOnboardingJobStatus](API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus.md) 
+  [ListCampaigns](API_connect-outbound-campaigns-v2_ListCampaigns.md) 
+  [ListConnectInstanceIntegrations](API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations.md) 
+  [ListTagsForResource](API_connect-outbound-campaigns-v2_ListTagsForResource.md) 
+  [PauseCampaign](API_connect-outbound-campaigns-v2_PauseCampaign.md) 
+  [PutConnectInstanceIntegration](API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration.md) 
+  [PutOutboundRequestBatch](API_connect-outbound-campaigns-v2_PutOutboundRequestBatch.md) 
+  [PutProfileOutboundRequestBatch](API_connect-outbound-campaigns-v2_PutProfileOutboundRequestBatch.md) 
+  [ResumeCampaign](API_connect-outbound-campaigns-v2_ResumeCampaign.md) 
+  [StartCampaign](API_connect-outbound-campaigns-v2_StartCampaign.md) 
+  [StartInstanceOnboardingJob](API_connect-outbound-campaigns-v2_StartInstanceOnboardingJob.md) 
+  [StopCampaign](API_connect-outbound-campaigns-v2_StopCampaign.md) 
+  [TagResource](API_connect-outbound-campaigns-v2_TagResource.md) 
+  [UntagResource](API_connect-outbound-campaigns-v2_UntagResource.md) 
+  [UpdateCampaignChannelSubtypeConfig](API_connect-outbound-campaigns-v2_UpdateCampaignChannelSubtypeConfig.md) 
+  [UpdateCampaignCommunicationLimits](API_connect-outbound-campaigns-v2_UpdateCampaignCommunicationLimits.md) 
+  [UpdateCampaignCommunicationTime](API_connect-outbound-campaigns-v2_UpdateCampaignCommunicationTime.md) 
+  [UpdateCampaignFlowAssociation](API_connect-outbound-campaigns-v2_UpdateCampaignFlowAssociation.md) 
+  [UpdateCampaignName](API_connect-outbound-campaigns-v2_UpdateCampaignName.md) 
+  [UpdateCampaignSchedule](API_connect-outbound-campaigns-v2_UpdateCampaignSchedule.md) 
+  [UpdateCampaignSource](API_connect-outbound-campaigns-v2_UpdateCampaignSource.md) 

# CreateCampaign
<a name="API_connect-outbound-campaigns-v2_CreateCampaign"></a>

 Creates an outbound campaign. 

**Note**  
For users to be able to view or edit a campaign at a later date by using the Amazon Connect user interface, you must add the instance ID as a tag. For example, `{ "tags": {"owner": "arn:aws:connect:{REGION}:{AWS_ACCOUNT_ID}:instance/{CONNECT_INSTANCE_ID}"}}`.
After a campaign is created, you can't add/remove source.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax"></a>

```
PUT /v2/campaigns HTTP/1.1
Content-type: application/json

{
   "channelSubtypeConfig": { 
      "email": { 
         "capacity": number,
         "defaultOutboundConfig": { 
            "connectSourceEmailAddress": "string",
            "sourceEmailAddressDisplayName": "string",
            "wisdomTemplateArn": "string"
         },
         "outboundMode": { ... }
      },
      "sms": { 
         "capacity": number,
         "defaultOutboundConfig": { 
            "connectSourcePhoneNumberArn": "string",
            "wisdomTemplateArn": "string"
         },
         "outboundMode": { ... }
      },
      "telephony": { 
         "capacity": number,
         "connectQueueId": "string",
         "defaultOutboundConfig": { 
            "answerMachineDetectionConfig": { 
               "awaitAnswerMachinePrompt": boolean,
               "enableAnswerMachineDetection": boolean
            },
            "connectContactFlowId": "string",
            "connectSourcePhoneNumber": "string",
            "ringTimeout": number
         },
         "outboundMode": { ... }
      },
      "whatsApp": { 
         "capacity": number,
         "defaultOutboundConfig": { 
            "connectSourcePhoneNumberArn": "string",
            "wisdomTemplateArn": "string"
         },
         "outboundMode": { ... }
      }
   },
   "communicationLimitsOverride": { 
      "allChannelSubtypes": { ... },
      "instanceLimitsHandling": "string"
   },
   "communicationTimeConfig": { 
      "email": { 
         "openHours": { ... },
         "restrictedPeriods": { ... }
      },
      "localTimeZoneConfig": { 
         "defaultTimeZone": "string",
         "localTimeZoneDetection": [ "string" ]
      },
      "sms": { 
         "openHours": { ... },
         "restrictedPeriods": { ... }
      },
      "telephony": { 
         "openHours": { ... },
         "restrictedPeriods": { ... }
      },
      "whatsApp": { 
         "openHours": { ... },
         "restrictedPeriods": { ... }
      }
   },
   "connectCampaignFlowArn": "string",
   "connectInstanceId": "string",
   "name": "string",
   "schedule": { 
      "endTime": "string",
      "refreshFrequency": "string",
      "startTime": "string"
   },
   "source": { ... },
   "tags": { 
      "string" : "string" 
   },
   "type": "string"
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [channelSubtypeConfig](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-channelSubtypeConfig"></a>
Channel subtype configuration for an outbound campaign.  
Type: [ChannelSubtypeConfig](API_connect-outbound-campaigns-v2_ChannelSubtypeConfig.md) object  
Required: No

 ** [communicationLimitsOverride](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-communicationLimitsOverride"></a>
Communication limits configuration for an outbound campaign.  
Type: [CommunicationLimitsConfig](API_connect-outbound-campaigns-v2_CommunicationLimitsConfig.md) object  
Required: No

 ** [communicationTimeConfig](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-communicationTimeConfig"></a>
Communication time configuration for an outbound campaign.  
Type: [CommunicationTimeConfig](API_connect-outbound-campaigns-v2_CommunicationTimeConfig.md) object  
Required: No

 ** [connectCampaignFlowArn](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-connectCampaignFlowArn"></a>
The Amazon Resource Name (ARN) of the Amazon Connect campaign flow.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 500.  
Pattern: `arn:[a-zA-Z0-9-]+:[a-zA-Z0-9-]+:[a-z]{2}-[a-z]+-\d{1,2}:[a-zA-Z0-9-]+:[^:]+(?:/[^:]+)*(?:/[^:]+)?(?:\:[^:]+)?`   
Required: No

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

 ** [name](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-name"></a>
The name of the campaign.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 127.  
Required: Yes

 ** [schedule](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-schedule"></a>
Schedule configuration for an outbound campaign.  
Type: [Schedule](API_connect-outbound-campaigns-v2_Schedule.md) object  
Required: No

 ** [source](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-source"></a>
Source configuration for an outbound campaign.  
Type: [Source](API_connect-outbound-campaigns-v2_Source.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [tags](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-tags"></a>
The tags used to organize, track, or control access for this resource. For example, `{ "tags": {"key1":"value1", "key2":"value2"} }`.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [type](#API_connect-outbound-campaigns-v2_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-request-type"></a>
The type of campaign.  
Type: String  
Valid Values: `MANAGED | JOURNEY`   
Required: No

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "id": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_connect-outbound-campaigns-v2_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-response-arn"></a>
The Amazon Resource Name (ARN) of the outbound campaign.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 500.

 ** [id](#API_connect-outbound-campaigns-v2_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-response-id"></a>
The identifier of the outbound campaign.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+` 

 ** [tags](#API_connect-outbound-campaigns-v2_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_CreateCampaign-response-tags"></a>
The tags used to organize, track, or control access for this resource. For example, \$1 "tags": \$1"key1":"value1", "key2":"value2"\$1 \$1.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota for your Amazon Connect has been exceeded. Contact AWS Support.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_CreateCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/CreateCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/CreateCampaign) 

# DeleteCampaign
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign"></a>

Deletes an outbound campaign. Only campaigns in `Initialized`, `Failed`, `Completed`, or `Stopped` states are valid for this operation.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_RequestSyntax"></a>

```
DELETE /v2/campaigns/id HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns-v2_DeleteCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaign-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteCampaign) 

# DeleteCampaignChannelSubtypeConfig
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig"></a>

Deletes the channel subtype configuration of an outbound campaign. Only campaigns in the `Initialized` state are valid for this operation.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_RequestSyntax"></a>

```
DELETE /v2/campaigns/id/channel-subtype-config?channelSubtype=channelSubtype HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [channelSubtype](#API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig-request-uri-channelSubtype"></a>
The name of the channel subtype configuration.  
Valid Values: `TELEPHONY | SMS | EMAIL | WHATSAPP`   
Required: Yes

 ** [id](#API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignChannelSubtypeConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteCampaignChannelSubtypeConfig) 

# DeleteCampaignCommunicationLimits
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits"></a>

Deletes the communication limits configuration of an outbound campaign. Only campaigns in the `Initialized` state are valid for this operation.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_RequestSyntax"></a>

```
DELETE /v2/campaigns/id/communication-limits?config=config HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_RequestParameters"></a>

The request uses the following URI parameters.

 ** [config](#API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits-request-uri-config"></a>
The name of the communication limits configuration.  
Valid Values: `ALL_CHANNEL_SUBTYPES`   
Required: Yes

 ** [id](#API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationLimits_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationLimits) 

# DeleteCampaignCommunicationTime
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime"></a>

Deletes the communication time configuration of an outbound campaign. Only campaigns in the `Initialized` state are valid for this operation.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_RequestSyntax"></a>

```
DELETE /v2/campaigns/id/communication-time?config=config HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_RequestParameters"></a>

The request uses the following URI parameters.

 ** [config](#API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime-request-uri-config"></a>
The name of the communication time configuration.  
Valid Values: `TELEPHONY | SMS | EMAIL | WHATSAPP`   
Required: Yes

 ** [id](#API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteCampaignCommunicationTime_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteCampaignCommunicationTime) 

# DeleteConnectInstanceConfig
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig"></a>

Deletes configuration information for an Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_RequestSyntax"></a>

```
DELETE /v2/connect-instance/connectInstanceId/config?campaignDeletionPolicy=campaignDeletionPolicy HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [campaignDeletionPolicy](#API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteConnectInstanceConfig-request-uri-campaignDeletionPolicy"></a>
The policy to enact on existing campaigns during instance configuration deletion. The default is `RETAIN_ALL`, if no value is given.  
Valid Values: `RETAIN_ALL | DELETE_ALL` 

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteConnectInstanceConfig-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidStateException **   
An attempt was made to modify a resource that is in a state that is not valid.   
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceConfig) 

# DeleteConnectInstanceIntegration
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration"></a>

Deletes integration for an Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_RequestSyntax"></a>

```
POST /v2/connect-instance/connectInstanceId/integrations/delete HTTP/1.1
Content-type: application/json

{
   "integrationIdentifier": { ... }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [integrationIdentifier](#API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration-request-integrationIdentifier"></a>
The identifier of the integration between an Amazon Connect instance and other services.  
Type: [IntegrationIdentifier](API_connect-outbound-campaigns-v2_IntegrationIdentifier.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteConnectInstanceIntegration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteConnectInstanceIntegration) 

# DeleteInstanceOnboardingJob
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob"></a>

Deletes the workflow to onboard to outbound campaigns. Only `Failed` workflows can be deleted.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_RequestSyntax"></a>

```
DELETE /v2/connect-instance/connectInstanceId/onboarding HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidStateException **   
An attempt was made to modify a resource that is in a state that is not valid.   
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DeleteInstanceOnboardingJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DeleteInstanceOnboardingJob) 

# DescribeCampaign
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign"></a>

Describes an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_RequestSyntax"></a>

```
GET /v2/campaigns/id HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns-v2_DescribeCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DescribeCampaign-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "campaign": { 
      "arn": "string",
      "channelSubtypeConfig": { 
         "email": { 
            "capacity": number,
            "defaultOutboundConfig": { 
               "connectSourceEmailAddress": "string",
               "sourceEmailAddressDisplayName": "string",
               "wisdomTemplateArn": "string"
            },
            "outboundMode": { ... }
         },
         "sms": { 
            "capacity": number,
            "defaultOutboundConfig": { 
               "connectSourcePhoneNumberArn": "string",
               "wisdomTemplateArn": "string"
            },
            "outboundMode": { ... }
         },
         "telephony": { 
            "capacity": number,
            "connectQueueId": "string",
            "defaultOutboundConfig": { 
               "answerMachineDetectionConfig": { 
                  "awaitAnswerMachinePrompt": boolean,
                  "enableAnswerMachineDetection": boolean
               },
               "connectContactFlowId": "string",
               "connectSourcePhoneNumber": "string",
               "ringTimeout": number
            },
            "outboundMode": { ... }
         },
         "whatsApp": { 
            "capacity": number,
            "defaultOutboundConfig": { 
               "connectSourcePhoneNumberArn": "string",
               "wisdomTemplateArn": "string"
            },
            "outboundMode": { ... }
         }
      },
      "communicationLimitsOverride": { 
         "allChannelSubtypes": { ... },
         "instanceLimitsHandling": "string"
      },
      "communicationTimeConfig": { 
         "email": { 
            "openHours": { ... },
            "restrictedPeriods": { ... }
         },
         "localTimeZoneConfig": { 
            "defaultTimeZone": "string",
            "localTimeZoneDetection": [ "string" ]
         },
         "sms": { 
            "openHours": { ... },
            "restrictedPeriods": { ... }
         },
         "telephony": { 
            "openHours": { ... },
            "restrictedPeriods": { ... }
         },
         "whatsApp": { 
            "openHours": { ... },
            "restrictedPeriods": { ... }
         }
      },
      "connectCampaignFlowArn": "string",
      "connectInstanceId": "string",
      "id": "string",
      "name": "string",
      "schedule": { 
         "endTime": "string",
         "refreshFrequency": "string",
         "startTime": "string"
      },
      "source": { ... },
      "tags": { 
         "string" : "string" 
      },
      "type": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [campaign](#API_connect-outbound-campaigns-v2_DescribeCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_DescribeCampaign-response-campaign"></a>
The configuration for an outbound campaign.  
Type: [Campaign](API_connect-outbound-campaigns-v2_Campaign.md) object

## Errors
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_DescribeCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/DescribeCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/DescribeCampaign) 

# GetCampaignState
<a name="API_connect-outbound-campaigns-v2_GetCampaignState"></a>

Returns the state of an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_RequestSyntax"></a>

```
GET /v2/campaigns/id/state HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns-v2_GetCampaignState_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetCampaignState-request-uri-id"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "state": "string"
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [state](#API_connect-outbound-campaigns-v2_GetCampaignState_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetCampaignState-response-state"></a>
The state of a campaign. For detailed descriptions of each state, see Campaign status in the Amazon Connect Administrator Guide.  
Type: String  
Valid Values: `Initialized | Running | Paused | Stopped | Failed | Completed` 

## Errors
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_GetCampaignState_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/GetCampaignState) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/GetCampaignState) 

# GetCampaignStateBatch
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch"></a>

Returns the state of listed of outbound campaigns.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_RequestSyntax"></a>

```
POST /v2/campaigns-state HTTP/1.1
Content-type: application/json

{
   "campaignIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [campaignIds](#API_connect-outbound-campaigns-v2_GetCampaignStateBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetCampaignStateBatch-request-campaignIds"></a>
The identifiers of the campaigns.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 25 items.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "failedRequests": [ 
      { 
         "campaignId": "string",
         "failureCode": "string"
      }
   ],
   "successfulRequests": [ 
      { 
         "campaignId": "string",
         "state": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [failedRequests](#API_connect-outbound-campaigns-v2_GetCampaignStateBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetCampaignStateBatch-response-failedRequests"></a>
Failed requests.  
Type: Array of [FailedCampaignStateResponse](API_connect-outbound-campaigns-v2_FailedCampaignStateResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

 ** [successfulRequests](#API_connect-outbound-campaigns-v2_GetCampaignStateBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetCampaignStateBatch-response-successfulRequests"></a>
Successful requests.  
Type: Array of [SuccessfulCampaignStateResponse](API_connect-outbound-campaigns-v2_SuccessfulCampaignStateResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

## Errors
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_GetCampaignStateBatch_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/GetCampaignStateBatch) 

# GetConnectInstanceConfig
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig"></a>

Get configuration information about an Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_RequestSyntax"></a>

```
GET /v2/connect-instance/connectInstanceId/config HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetConnectInstanceConfig-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceConfig": { 
      "connectInstanceId": "string",
      "encryptionConfig": { 
         "enabled": boolean,
         "encryptionType": "string",
         "keyArn": "string"
      },
      "serviceLinkedRoleArn": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceConfig](#API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetConnectInstanceConfig-response-connectInstanceConfig"></a>
Configuration information about the Amazon Connect instance.  
Type: [InstanceConfig](API_connect-outbound-campaigns-v2_InstanceConfig.md) object

## Errors
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 

# GetInstanceOnboardingJobStatus
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus"></a>

Gets the status of the workflow to onboard to outbound campaigns.

**Note**  
The `GetInstanceOnboardingJobStatus` API may return a 404 response in the following cases:  
The requested resource does not exist.
If the instance was onboarded more than 14 days ago, this API will return a 404 response as expected. In such cases, you should call the [GetConnectInstanceConfig](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-outbound-campaigns-v2_GetConnectInstanceConfig.html) API to retrieve the instance details.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_RequestSyntax"></a>

```
GET /v2/connect-instance/connectInstanceId/onboarding HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceOnboardingJobStatus": { 
      "connectInstanceId": "string",
      "failureCode": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceOnboardingJobStatus](#API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus-response-connectInstanceOnboardingJobStatus"></a>
The status of the onboarding workflow.  
Type: [InstanceOnboardingJobStatus](API_connect-outbound-campaigns-v2_InstanceOnboardingJobStatus.md) object

## Errors
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_GetInstanceOnboardingJobStatus_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/GetInstanceOnboardingJobStatus) 

# ListCampaigns
<a name="API_connect-outbound-campaigns-v2_ListCampaigns"></a>

Lists outbound campaigns.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_RequestSyntax"></a>

```
POST /v2/campaigns-summary HTTP/1.1
Content-type: application/json

{
   "filters": { 
      "instanceIdFilter": { 
         "operator": "string",
         "value": "string"
      }
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filters](#API_connect-outbound-campaigns-v2_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListCampaigns-request-filters"></a>
Filters the list of campaigns.  
Type: [CampaignFilters](API_connect-outbound-campaigns-v2_CampaignFilters.md) object  
Required: No

 ** [maxResults](#API_connect-outbound-campaigns-v2_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListCampaigns-request-maxResults"></a>
The maximum number of results to return per page.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 50.  
Required: No

 ** [nextToken](#API_connect-outbound-campaigns-v2_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListCampaigns-request-nextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.  
Required: No

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "campaignSummaryList": [ 
      { 
         "arn": "string",
         "channelSubtypes": [ "string" ],
         "connectCampaignFlowArn": "string",
         "connectInstanceId": "string",
         "id": "string",
         "name": "string",
         "schedule": { 
            "endTime": "string",
            "refreshFrequency": "string",
            "startTime": "string"
         },
         "type": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [campaignSummaryList](#API_connect-outbound-campaigns-v2_ListCampaigns_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListCampaigns-response-campaignSummaryList"></a>
Summary information about the outbound campaigns.  
Type: Array of [CampaignSummary](API_connect-outbound-campaigns-v2_CampaignSummary.md) objects

 ** [nextToken](#API_connect-outbound-campaigns-v2_ListCampaigns_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListCampaigns-response-nextToken"></a>
If there are additional results, this is the token for the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.

## Errors
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_ListCampaigns_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/ListCampaigns) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/ListCampaigns) 

# ListConnectInstanceIntegrations
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations"></a>

Lists integrations with the Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestSyntax"></a>

```
GET /v2/connect-instance/connectInstanceId/integrations?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListConnectInstanceIntegrations-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

 ** [maxResults](#API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListConnectInstanceIntegrations-request-uri-maxResults"></a>
The maximum number of results to return per page.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [nextToken](#API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListConnectInstanceIntegrations-request-uri-nextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.  
Length Constraints: Minimum length of 0. Maximum length of 1000.

## Request Body
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "integrationSummaryList": [ 
      { ... }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [integrationSummaryList](#API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListConnectInstanceIntegrations-response-integrationSummaryList"></a>
Summary information about the integrations.  
Type: Array of [IntegrationSummary](API_connect-outbound-campaigns-v2_IntegrationSummary.md) objects

 ** [nextToken](#API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListConnectInstanceIntegrations-response-nextToken"></a>
If there are additional results, this is the token for the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.

## Errors
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_ListConnectInstanceIntegrations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/ListConnectInstanceIntegrations) 

# ListTagsForResource
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource"></a>

Lists tags for a resource.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_RequestSyntax"></a>

```
GET /v2/tags/arn HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [arn](#API_connect-outbound-campaigns-v2_ListTagsForResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListTagsForResource-request-uri-arn"></a>
The Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 20. Maximum length of 500.  
Pattern: `arn:[a-zA-Z0-9-]+:[a-zA-Z0-9-]+:[a-z]{2}-[a-z]+-\d{1,2}:[a-zA-Z0-9-]+:[^:]+(?:/[^:]+)*(?:/[^:]+)?(?:\:[^:]+)?`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_connect-outbound-campaigns-v2_ListTagsForResource_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_ListTagsForResource-response-tags"></a>
The tags used to organize, track, or control access for this resource. For example, `{ "tags": {"key1":"value1", "key2":"value2"} }`.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/ListTagsForResource) 

# PauseCampaign
<a name="API_connect-outbound-campaigns-v2_PauseCampaign"></a>

Pauses an outbound campaign. A paused outbound campaign can be resumed.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_RequestSyntax"></a>

```
POST /v2/campaigns/id/pause HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns-v2_PauseCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PauseCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_PauseCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/PauseCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/PauseCampaign) 

# PutConnectInstanceIntegration
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration"></a>

Puts an integration for the Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestSyntax"></a>

```
PUT /v2/connect-instance/connectInstanceId/integrations HTTP/1.1
Content-type: application/json

{
   "integrationConfig": { ... }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutConnectInstanceIntegration-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [integrationConfig](#API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutConnectInstanceIntegration-request-integrationConfig"></a>
The integration configuration for the Amazon Connect instance  
Type: [IntegrationConfig](API_connect-outbound-campaigns-v2_IntegrationConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 

# PutOutboundRequestBatch
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch"></a>

Takes in a list of outbound requests to be placed as part of an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_RequestSyntax"></a>

```
PUT /v2/campaigns/id/outbound-requests HTTP/1.1
Content-type: application/json

{
   "outboundRequests": [ 
      { 
         "channelSubtypeParameters": { ... },
         "clientToken": "string",
         "expirationTime": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutOutboundRequestBatch-request-uri-id"></a>
The identifier of the outbound campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [outboundRequests](#API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutOutboundRequestBatch-request-outboundRequests"></a>
Outbound requests for outreaching.  
Type: Array of [OutboundRequest](API_connect-outbound-campaigns-v2_OutboundRequest.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 25 items.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "failedRequests": [ 
      { 
         "clientToken": "string",
         "failureCode": "string",
         "id": "string"
      }
   ],
   "successfulRequests": [ 
      { 
         "clientToken": "string",
         "id": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [failedRequests](#API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutOutboundRequestBatch-response-failedRequests"></a>
Failed outbound requests.  
Type: Array of [FailedRequest](API_connect-outbound-campaigns-v2_FailedRequest.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

 ** [successfulRequests](#API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutOutboundRequestBatch-response-successfulRequests"></a>
Successful outbound requests.  
Type: Array of [SuccessfulRequest](API_connect-outbound-campaigns-v2_SuccessfulRequest.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

## Errors
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns-v2_PutOutboundRequestBatch_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/PutOutboundRequestBatch) 
[...]
